Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.localsearch.decider.forager
Class ForagerConfig

    java.lang.Object
      org.optaplanner.core.config.localsearch.decider.forager.ForagerConfig

    public class ForagerConfig

extends Object

Field Summary
`protected Integer` | `acceptedCountLimit`

Constructor Summary
`ForagerConfig()`

Method Summary
`Forager` | `buildForager(HeuristicConfigPolicy configPolicy)`
`Integer` | `getAcceptedCountLimit()`
`DeciderScoreComparatorFactoryConfig` | `getDeciderScoreComparatorFactoryConfig()`
`Class<? extends Forager>` | `getForagerClass()`
`PickEarlyType` | `getPickEarlyType()`
`void` | `inherit(ForagerConfig inheritedConfig)`
`void` | `setAcceptedCountLimit(Integer acceptedCountLimit)`
`void` | `setDeciderScoreComparatorFactoryConfig(DeciderScoreComparatorFactoryConfig deciderScoreComparatorFactoryConfig)`
`void` | `setForagerClass(Class<? extends Forager> foragerClass)`
`void` | `setPickEarlyType(PickEarlyType pickEarlyType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### acceptedCountLimit

    protected Integer acceptedCountLimit

Constructor Detail

### ForagerConfig

    public ForagerConfig()

Method Detail

### getForagerClass

    public Class<? extends Forager> getForagerClass()

### setForagerClass

    public void setForagerClass(Class<? extends Forager> foragerClass)

### getDeciderScoreComparatorFactoryConfig

    public DeciderScoreComparatorFactoryConfig getDeciderScoreComparatorFactoryConfig()

### setDeciderScoreComparatorFactoryConfig

    public void setDeciderScoreComparatorFactoryConfig(DeciderScoreComparatorFactoryConfig deciderScoreComparatorFactoryConfig)

### getPickEarlyType

    public PickEarlyType getPickEarlyType()

### setPickEarlyType

    public void setPickEarlyType(PickEarlyType pickEarlyType)

### getAcceptedCountLimit

    public Integer getAcceptedCountLimit()

### setAcceptedCountLimit

    public void setAcceptedCountLimit(Integer acceptedCountLimit)

### buildForager

    public Forager buildForager(HeuristicConfigPolicy configPolicy)

### inherit

    public void inherit(ForagerConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.